/* Scompat.c for Windows Developers Journal by Victor R. Volkman
 * this code may be used freely with no restrictions on use
 *
 * Winsock compatability layer for Unix
 */

#ifdef _WIN32
#include <winsock.h>
#else
#include <errno.h>
#endif

#include <stdio.h>

int InitSockets(void)
{
#ifdef _WIN32
    WSADATA wsaData;
    WORD wVersionRequested;
    int err;

    /* Ask for Winsock 1.1 functionality */
    wVersionRequested = MAKEWORD( 1, 1 );
    err = WSAStartup( wVersionRequested, &wsaData );
    if ( err != 0 ) {
      printf("Error %d: Winsock not available\n", err);
      return 1;
      }
#endif
    return 0;
}

#ifndef _WIN32
int WSAGetLastError(void)
{
   return errno;
}

int WSACleanup(void)
{
   return 0;
}

#endif




